searchNodes=[{"doc":"This module contains a definition and related functions for struct Membrane.RawAudio.t/0 , describing a format of raw audio stream with interleaved channels.","ref":"Membrane.RawAudio.html","title":"Membrane.RawAudio","type":"module"},{"doc":"Determines if the sample values are represented by a number in big endian byte ordering. Inlined by the compiler.","ref":"Membrane.RawAudio.html#big_endian?/1","title":"Membrane.RawAudio.big_endian?/1","type":"function"},{"doc":"Converts bytes to frames in given format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#bytes_to_frames/3","title":"Membrane.RawAudio.bytes_to_frames/3","type":"function"},{"doc":"Converts bytes to time in Membrane.Time units in given format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#bytes_to_time/3","title":"Membrane.RawAudio.bytes_to_time/3","type":"function"},{"doc":"Returns how many bytes are needed to store a single frame. Inlined by the compiler","ref":"Membrane.RawAudio.html#frame_size/1","title":"Membrane.RawAudio.frame_size/1","type":"function"},{"doc":"Converts frames to bytes in given format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#frames_to_bytes/2","title":"Membrane.RawAudio.frames_to_bytes/2","type":"function"},{"doc":"Converts frames to time in Membrane.Time units in given format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#frames_to_time/3","title":"Membrane.RawAudio.frames_to_time/3","type":"function"},{"doc":"Determines if the sample values are represented by a number in little endian byte ordering. Inlined by the compiler.","ref":"Membrane.RawAudio.html#little_endian?/1","title":"Membrane.RawAudio.little_endian?/1","type":"function"},{"doc":"Returns maximum sample value for given sample format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#sample_max/1","title":"Membrane.RawAudio.sample_max/1","type":"function"},{"doc":"Returns minimum sample value for given sample format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#sample_min/1","title":"Membrane.RawAudio.sample_min/1","type":"function"},{"doc":"Returns how many bytes are needed to store a single sample. Inlined by the compiler","ref":"Membrane.RawAudio.html#sample_size/1","title":"Membrane.RawAudio.sample_size/1","type":"function"},{"doc":"Converts one raw sample into its numeric value, interpreting it for given sample format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#sample_to_value/2","title":"Membrane.RawAudio.sample_to_value/2","type":"function"},{"doc":"Determines if the sample values are represented by an integer. Inlined by the compiler.","ref":"Membrane.RawAudio.html#sample_type_fixed?/1","title":"Membrane.RawAudio.sample_type_fixed?/1","type":"function"},{"doc":"Determines if the sample values are represented by a floating point number. Inlined by the compiler.","ref":"Membrane.RawAudio.html#sample_type_float?/1","title":"Membrane.RawAudio.sample_type_float?/1","type":"function"},{"doc":"Determines if the sample values are represented by a signed number. Inlined by the compiler.","ref":"Membrane.RawAudio.html#signed?/1","title":"Membrane.RawAudio.signed?/1","type":"function"},{"doc":"Returns one 'silent' sample, that is value of zero in given format' sample format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#silence/1","title":"Membrane.RawAudio.silence/1","type":"function"},{"doc":"Returns a binary which corresponds to the silence during the given interval of time in given format' sample format Examples: The following code generates the silence for the given format iex&gt; alias Membrane.RawAudio iex&gt; format = % RawAudio { sample_rate : 48_000 , sample_format : :s16le , channels : 2 } iex&gt; silence = RawAudio . silence ( format , 100 |&gt; Membrane.Time . microseconds ( ) ) &lt;&lt; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 &gt;&gt;","ref":"Membrane.RawAudio.html#silence/3","title":"Membrane.RawAudio.silence/3","type":"function"},{"doc":"Converts time in Membrane.Time units to bytes in given format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#time_to_bytes/3","title":"Membrane.RawAudio.time_to_bytes/3","type":"function"},{"doc":"Converts time in Membrane.Time units to frames in given format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#time_to_frames/3","title":"Membrane.RawAudio.time_to_frames/3","type":"function"},{"doc":"Determines if the sample values are represented by an unsigned number. Inlined by the compiler.","ref":"Membrane.RawAudio.html#unsigned?/1","title":"Membrane.RawAudio.unsigned?/1","type":"function"},{"doc":"Converts value into one raw sample, encoding it with the given sample format. Inlined by the compiler.","ref":"Membrane.RawAudio.html#value_to_sample/2","title":"Membrane.RawAudio.value_to_sample/2","type":"function"},{"doc":"Same as value_to_sample/2, but also checks for overflow. Returns {:error, :overflow} if overflow happens. Inlined by the compiler.","ref":"Membrane.RawAudio.html#value_to_sample_check_overflow/2","title":"Membrane.RawAudio.value_to_sample_check_overflow/2","type":"function"},{"doc":"","ref":"Membrane.RawAudio.html#t:channels_t/0","title":"Membrane.RawAudio.channels_t/0","type":"type"},{"doc":"","ref":"Membrane.RawAudio.html#t:sample_rate_t/0","title":"Membrane.RawAudio.sample_rate_t/0","type":"type"},{"doc":"","ref":"Membrane.RawAudio.html#t:t/0","title":"Membrane.RawAudio.t/0","type":"type"},{"doc":"This module defines sample formats used in Membrane.RawAudio and some helpers to deal with them.","ref":"Membrane.RawAudio.SampleFormat.html","title":"Membrane.RawAudio.SampleFormat","type":"module"},{"doc":"Converts positive integer containing serialized format to atom. expects serialized format returns format atom (See t/0 )","ref":"Membrane.RawAudio.SampleFormat.html#deserialize/1","title":"Membrane.RawAudio.SampleFormat.deserialize/1","type":"function"},{"doc":"Converts 3-tuple format to an equivalent atom form","ref":"Membrane.RawAudio.SampleFormat.html#from_tuple/1","title":"Membrane.RawAudio.SampleFormat.from_tuple/1","type":"function"},{"doc":"converts audio format to 32-bit unsigned integer consisting of (from oldest bit): first bit for type (int/float) then bit for encoding (unsigned/signed) then bit for endianity (little/big) then sequence of zeroes last 8 bits for size (in bits) expects atom format returns format encoded as integer","ref":"Membrane.RawAudio.SampleFormat.html#serialize/1","title":"Membrane.RawAudio.SampleFormat.serialize/1","type":"function"},{"doc":"Converts format atom to an equivalent 3-tuple form","ref":"Membrane.RawAudio.SampleFormat.html#to_tuple/1","title":"Membrane.RawAudio.SampleFormat.to_tuple/1","type":"function"},{"doc":"","ref":"Membrane.RawAudio.SampleFormat.html#values/0","title":"Membrane.RawAudio.SampleFormat.values/0","type":"function"},{"doc":"","ref":"Membrane.RawAudio.SampleFormat.html#t:endianness_t/0","title":"Membrane.RawAudio.SampleFormat.endianness_t/0","type":"type"},{"doc":"","ref":"Membrane.RawAudio.SampleFormat.html#t:sample_size_t/0","title":"Membrane.RawAudio.SampleFormat.sample_size_t/0","type":"type"},{"doc":"","ref":"Membrane.RawAudio.SampleFormat.html#t:sample_type_t/0","title":"Membrane.RawAudio.SampleFormat.sample_type_t/0","type":"type"},{"doc":"","ref":"Membrane.RawAudio.SampleFormat.html#t:t/0","title":"Membrane.RawAudio.SampleFormat.t/0","type":"type"},{"doc":"This package provides raw audio format definition for the Membrane Multimedia Framework . Beyond general data structures it contains some useful helper functions for manipulating raw audio samples.","ref":"readme.html","title":"Membrane Multimedia Framework: Raw audio format definition","type":"extras"},{"doc":"Unless you're developing an Membrane Element it's unlikely that you need to use this package directly in your app, as normally it is going to be fetched as a dependency of any element that operates on raw audio. However, if you are developing an Element or need to add it due to any other reason, just add the following line to your deps in the mix.exs and run mix deps.get . { :membrane_raw_audio_format , &quot;~&gt; 0.10.0&quot; }","ref":"readme.html#installation","title":"Membrane Multimedia Framework: Raw audio format definition - Installation","type":"extras"},{"doc":"Copyright 2018, Software Mansion Licensed under the Apache License, Version 2.0","ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: Raw audio format definition - Copyright and License","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright 2018 Software Mansion Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]